//
//  ShareObject.swift
//  Gengmei
//
//  Created by Terminator on 16/5/21.
//  Copyright © 2016年 更美互动信息科技有限公司. All rights reserved.
//

import UIKit
import GMBaseSwift

@objcMembers
class ShareBasicObject: GMBaseObject {
    var title = ""
    var content = ""
}

@objcMembers
class ShareBasicWeChatMiniObject: GMBaseObject {
    var userName = ""
    var path = ""
    var hdImageUrl = ""
    var thumbImageUrl = ""
    var desc = ""
    var title = ""
}

@objcMembers
class CoverObject: GMBaseObject {
    var desc = ""
    var image = ""
}

@objcMembers
class OthersObject: GMBaseObject {
    var cityName = ""
    var cover = [CoverObject]()
    var title = ""
    var type = ""
    var voteNum = ""
    var voteNumDesc = ""
    var beforeDesc = ""
    var afterCoverUrl = ""
    var afterDesc = ""
    var beforeCoverUrl = ""
}

@objcMembers
class ShareObject: GMBaseObject {

    var image = ""
    var url = ""

    var wechat = ShareBasicObject()
    var wechatline = ShareBasicObject()
    var qq = ShareBasicObject()
    var qqzone = ShareBasicObject()
    var weibo = ShareBasicObject()
    var wechatScreenshot = ShareBasicObject()
    var wechatlineScreenshot = ShareBasicObject()
    var wechatmini = ShareBasicWeChatMiniObject()
    var others = OthersObject()
}
//@interface WMShareBasicObject : GMBaseObject
//@property (nonatomic,strong) NSString * title;
//@property (nonatomic,strong) NSString * content;
//@end
//
//
//@protocol  WMShareObject  @end
//@interface WMShareObject : GMBaseObject
//@property (nonatomic,strong) NSString * image;
//@property (nonatomic,strong) NSString * url;
//@property (nonatomic,strong) WMShareBasicObject  <WMShareBasicObject>* wechat;
//@property (nonatomic,strong) WMShareBasicObject  <WMShareBasicObject>* wechatline;
//@property (nonatomic,strong) WMShareBasicObject  <WMShareBasicObject>* qq;
//@property (nonatomic,strong) WMShareBasicObject  <WMShareBasicObject>* weibo;
